path: /build/build/waydroid-app-emulation-1.4.2+4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cd /var/git/extra-kits/geaaru-kit/app-emulation/waydroid/ && rm *.ebuild && wget
    https://raw.githubusercontent.com/geaaru/geaaru_overlay/funtoo/app-emulation/waydroid/waydroid-1.4.2.ebuild
    && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-emulation/waydroid -pv -t && \
    emerge -j ${JOBS} --nodeps app-emulation/waydroid
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/waydroid && luet-portage --dir /pkgdir/waydroid
    app-emulation/waydroid && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b393a4472a1970beb1712ef23274fa3c1c33baf348170f0925b34defcd28b53c
  package:
    name: waydroid
    version: 1.4.2+4
    category: app-emulation
    requires:
    - name: gbinder-python
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Container-based approach to boot a full Android system on a regular
      GNU/Linux
    uri:
    - https://github.com/waydroid/waydroid
    license: GPL-3.0
    buildtimestamp: 2024-03-14 08:57:02.392337317 +0000 UTC m=+6018.294942245
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: dev-python/gbinder-python[python3+] sys-libs/libgbinder
      IUSE: systemd apparmor nftables
      RDEPEND: dev-python/gbinder-python[python3+] sys-libs/libgbinder app-emulation/lxc
        dev-python/pyclip[python3+]
      emerge.packages: app-emulation/waydroid
      kit: geaaru-kit
      original.package.name: app-emulation/waydroid
      original.package.slot: "0"
      original.package.version: 1.4.2
    treedir: /build/packages
  package_dir: /pkgdir/waydroid
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dfadccde8020f17fd7d1272d4cd334c676e2970c1ff9e80ca890454d73437c41
compressiontype: zstd
files:
- etc/xdg/menus/applications-merged/waydroid.menu
- usr/bin/waydroid
- usr/lib/waydroid/data/configs/apparmor_profiles/adbd
- usr/lib/waydroid/data/configs/apparmor_profiles/android_app
- usr/lib/waydroid/data/configs/apparmor_profiles/lxc-waydroid
- usr/lib/waydroid/data/configs/config_1
- usr/lib/waydroid/data/configs/config_3
- usr/lib/waydroid/data/configs/config_4
- usr/lib/waydroid/data/configs/config_base
- usr/lib/waydroid/data/configs/waydroid.seccomp
- usr/lib/waydroid/data/scripts/waydroid-net.sh
- usr/lib/waydroid/tools/__init__.py
- usr/lib/waydroid/tools/actions/__init__.py
- usr/lib/waydroid/tools/actions/app_manager.py
- usr/lib/waydroid/tools/actions/container_manager.py
- usr/lib/waydroid/tools/actions/initializer.py
- usr/lib/waydroid/tools/actions/prop.py
- usr/lib/waydroid/tools/actions/session_manager.py
- usr/lib/waydroid/tools/actions/status.py
- usr/lib/waydroid/tools/actions/upgrader.py
- usr/lib/waydroid/tools/config/__init__.py
- usr/lib/waydroid/tools/config/load.py
- usr/lib/waydroid/tools/config/save.py
- usr/lib/waydroid/tools/helpers/__init__.py
- usr/lib/waydroid/tools/helpers/arch.py
- usr/lib/waydroid/tools/helpers/arguments.py
- usr/lib/waydroid/tools/helpers/drivers.py
- usr/lib/waydroid/tools/helpers/gpu.py
- usr/lib/waydroid/tools/helpers/http.py
- usr/lib/waydroid/tools/helpers/images.py
- usr/lib/waydroid/tools/helpers/ipc.py
- usr/lib/waydroid/tools/helpers/logging.py
- usr/lib/waydroid/tools/helpers/lxc.py
- usr/lib/waydroid/tools/helpers/mount.py
- usr/lib/waydroid/tools/helpers/net.py
- usr/lib/waydroid/tools/helpers/props.py
- usr/lib/waydroid/tools/helpers/protocol.py
- usr/lib/waydroid/tools/helpers/run.py
- usr/lib/waydroid/tools/helpers/run_core.py
- usr/lib/waydroid/tools/helpers/version.py
- usr/lib/waydroid/tools/interfaces/IClipboard.py
- usr/lib/waydroid/tools/interfaces/IHardware.py
- usr/lib/waydroid/tools/interfaces/IPlatform.py
- usr/lib/waydroid/tools/interfaces/IStatusBarService.py
- usr/lib/waydroid/tools/interfaces/IUserMonitor.py
- usr/lib/waydroid/tools/services/__init__.py
- usr/lib/waydroid/tools/services/clipboard_manager.py
- usr/lib/waydroid/tools/services/hardware_manager.py
- usr/lib/waydroid/tools/services/user_manager.py
- usr/lib/waydroid/waydroid.py
- usr/share/applications/Waydroid.desktop
- usr/share/applications/waydroid.app.install.desktop
- usr/share/applications/waydroid.market.desktop
- usr/share/dbus-1/system-services/id.waydro.Container.service
- usr/share/dbus-1/system.d/id.waydro.Container.conf
- usr/share/desktop-directories/waydroid.directory
- usr/share/icons/hicolor/512x512/apps/waydroid.png
- usr/share/metainfo/id.waydro.waydroid.metainfo.xml
- usr/share/polkit-1/actions/id.waydro.Container.policy
- var/db/pkg/app-emulation/waydroid-1.4.2/BDEPEND
- var/db/pkg/app-emulation/waydroid-1.4.2/BUILD_TIME
- var/db/pkg/app-emulation/waydroid-1.4.2/CATEGORY
- var/db/pkg/app-emulation/waydroid-1.4.2/CBUILD
- var/db/pkg/app-emulation/waydroid-1.4.2/CFLAGS
- var/db/pkg/app-emulation/waydroid-1.4.2/CHOST
- var/db/pkg/app-emulation/waydroid-1.4.2/CONTENTS
- var/db/pkg/app-emulation/waydroid-1.4.2/COUNTER
- var/db/pkg/app-emulation/waydroid-1.4.2/CXXFLAGS
- var/db/pkg/app-emulation/waydroid-1.4.2/DEFINED_PHASES
- var/db/pkg/app-emulation/waydroid-1.4.2/DEPEND
- var/db/pkg/app-emulation/waydroid-1.4.2/DESCRIPTION
- var/db/pkg/app-emulation/waydroid-1.4.2/EAPI
- var/db/pkg/app-emulation/waydroid-1.4.2/FEATURES
- var/db/pkg/app-emulation/waydroid-1.4.2/HOMEPAGE
- var/db/pkg/app-emulation/waydroid-1.4.2/INHERITED
- var/db/pkg/app-emulation/waydroid-1.4.2/IUSE
- var/db/pkg/app-emulation/waydroid-1.4.2/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/waydroid-1.4.2/KEYWORDS
- var/db/pkg/app-emulation/waydroid-1.4.2/LDFLAGS
- var/db/pkg/app-emulation/waydroid-1.4.2/LICENSE
- var/db/pkg/app-emulation/waydroid-1.4.2/PF
- var/db/pkg/app-emulation/waydroid-1.4.2/RDEPEND
- var/db/pkg/app-emulation/waydroid-1.4.2/SIZE
- var/db/pkg/app-emulation/waydroid-1.4.2/SLOT
- var/db/pkg/app-emulation/waydroid-1.4.2/USE
- var/db/pkg/app-emulation/waydroid-1.4.2/environment.bz2
- var/db/pkg/app-emulation/waydroid-1.4.2/repository
- var/db/pkg/app-emulation/waydroid-1.4.2/waydroid-1.4.2.ebuild
package_cacheimage: ""
runtime:
  name: waydroid
  version: 1.4.2+4
  category: app-emulation
  requires:
  - name: lxc
    version: '>=0'
    category: app-emulation
  - name: gbinder-python
    version: '>=0'
    category: dev-python
  - name: pyclip
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Container-based approach to boot a full Android system on a regular
    GNU/Linux
  uri:
  - https://github.com/waydroid/waydroid
  license: GPL-3.0
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: dev-python/gbinder-python[python3+] sys-libs/libgbinder
    IUSE: systemd apparmor nftables
    RDEPEND: dev-python/gbinder-python[python3+] sys-libs/libgbinder app-emulation/lxc
      dev-python/pyclip[python3+]
    emerge.packages: app-emulation/waydroid
    kit: geaaru-kit
    original.package.name: app-emulation/waydroid
    original.package.slot: "0"
    original.package.version: 1.4.2
